Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Creates an address for a given account.
cURL
curl --request POST \ --url 'https://api.equalsmoney.com/v2/addresses?accountId={{accountId}}' \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "type": "office", "nickName": "office", "addressLine1": "Great Building", "addressLine2": "Four Maple Street", "addressLine3": "Southwark", "addressContact": "Brian May", "city": "string", "postcode": "SE13UB", "country": "England" } '
import requests url = "https://api.equalsmoney.com/v2/addresses" payload = { "type": "office", "nickName": "office", "addressLine1": "Great Building", "addressLine2": "Four Maple Street", "addressLine3": "Southwark", "addressContact": "Brian May", "city": "string", "postcode": "SE13UB", "country": "England" } headers = { "Authorization": "<api-key>", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.text)
const options = { method: 'POST', headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'}, body: JSON.stringify({ type: 'office', nickName: 'office', addressLine1: 'Great Building', addressLine2: 'Four Maple Street', addressLine3: 'Southwark', addressContact: 'Brian May', city: 'string', postcode: 'SE13UB', country: 'England' }) }; fetch('https://api.equalsmoney.com/v2/addresses', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.equalsmoney.com/v2/addresses", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'type' => 'office', 'nickName' => 'office', 'addressLine1' => 'Great Building', 'addressLine2' => 'Four Maple Street', 'addressLine3' => 'Southwark', 'addressContact' => 'Brian May', 'city' => 'string', 'postcode' => 'SE13UB', 'country' => 'England' ]), CURLOPT_HTTPHEADER => [ "Authorization: <api-key>", "Content-Type: application/json" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.equalsmoney.com/v2/addresses" payload := strings.NewReader("{\n \"type\": \"office\",\n \"nickName\": \"office\",\n \"addressLine1\": \"Great Building\",\n \"addressLine2\": \"Four Maple Street\",\n \"addressLine3\": \"Southwark\",\n \"addressContact\": \"Brian May\",\n \"city\": \"string\",\n \"postcode\": \"SE13UB\",\n \"country\": \"England\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "<api-key>") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.post("https://api.equalsmoney.com/v2/addresses") .header("Authorization", "<api-key>") .header("Content-Type", "application/json") .body("{\n \"type\": \"office\",\n \"nickName\": \"office\",\n \"addressLine1\": \"Great Building\",\n \"addressLine2\": \"Four Maple Street\",\n \"addressLine3\": \"Southwark\",\n \"addressContact\": \"Brian May\",\n \"city\": \"string\",\n \"postcode\": \"SE13UB\",\n \"country\": \"England\"\n}") .asString();
require 'uri' require 'net/http' url = URI("https://api.equalsmoney.com/v2/addresses") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '<api-key>' request["Content-Type"] = 'application/json' request.body = "{\n \"type\": \"office\",\n \"nickName\": \"office\",\n \"addressLine1\": \"Great Building\",\n \"addressLine2\": \"Four Maple Street\",\n \"addressLine3\": \"Southwark\",\n \"addressContact\": \"Brian May\",\n \"city\": \"string\",\n \"postcode\": \"SE13UB\",\n \"country\": \"England\"\n}" response = http.request(request) puts response.read_body
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "office", "nickName": "office", "addressLine1": "Great Building", "addressLine2": "Four Maple Street", "addressLine3": "Southwark", "addressContact": "Brian May", "city": "string", "postcode": "SE13UB", "country": "England", "countryCode": "GB" }
The ID of the account to work with.
"F50091"
Body
The address type.
"office"
The first line of the address.
1 - 256
"Great Building"
The city of the address.
256
The postal or ZIP code of the address.
50
"SE13UB"
The country of the address.
"England"
The nickname of the address.
The second line of the address.
"Four Maple Street"
The third line of the address.
"Southwark"
The name of the contact associated with the address.
"Brian May"
Created
The ID of the address.
ISO 3166-1 2 digit country code.
2
"GB"
Was this page helpful?